monitors
List Incidents
GET
/
api
/
monitor-incidents
List Incidents
curl --request GET \
--url https://api.aixy-gateway.com/api/monitor-incidents \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/monitor-incidents"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/monitor-incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"monitor_id": "<string>",
"monitor_name": "<string>",
"status": "<string>",
"severity": "<string>",
"summary": "<string>",
"trigger_value": "<string>",
"current_value": "<string>",
"threshold": "<string>",
"started_at": "<string>",
"last_observed_at": "<string>",
"acknowledged_at": "<string>",
"resolved_at": "<string>",
"object": "monitor.incident"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Query Parameters
Available options:
open, acknowledged, resolved ⌘I
List Incidents
curl --request GET \
--url https://api.aixy-gateway.com/api/monitor-incidents \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/monitor-incidents"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/monitor-incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"monitor_id": "<string>",
"monitor_name": "<string>",
"status": "<string>",
"severity": "<string>",
"summary": "<string>",
"trigger_value": "<string>",
"current_value": "<string>",
"threshold": "<string>",
"started_at": "<string>",
"last_observed_at": "<string>",
"acknowledged_at": "<string>",
"resolved_at": "<string>",
"object": "monitor.incident"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}